@mixin tablet-and-up {
  @media screen and (min-width: 769px) { @content; }
}
@mixin mobile-and-up {
  @media screen and (min-width: 601px) { @content; }
}
@mixin tablet-and-down  {
  @media screen and (max-width: 768px) { @content; }
}
@mixin mobile-only {
  @media screen and (max-width: 600px) { @content; }
}

header {
    height: 600px;
    width: 100%;
    background: black;
    overflow: hidden;
}
.homecontent{
    position: absolute;
    font-family: 'Poppins';
    top: 45%;
    left: 50%;
    transform: translate(-50%,-50%);
    text-align: center;
}
.homecontent h1{
    color:#ffffff;
    font-weight: 500;
    font-size: 50px;
}
.homecontent p{
    color:#ffffff;
    font-size: 13px;
    left: 21%;
}

.bluetext{
    color: var(--blue-primary);
}
.wrapper{
  display: block;
  overflow: visible;
  width: 100%;
  height: auto;
  margin-right: auto;
  margin-bottom: 12px;
  margin-left: auto;
  float: none;
}
.whitetext{
  font-weight: bold;
  color: white;
}
.redtext{
color: red;
}
.up img{
    width: 100%;
    height: 600px;
    object-position: center;
    object-fit: cover;
    opacity: 0.5;
}

@media screen and (max-width:600px) {
    .homecontent h1{
        top: 80%;
        left: 30%;
    }
  
    .up img{
        height: 700px;
    }
    .middle img{
      max-width: 448px;
      max-height: 298px;
    }
    .contactcontent{
      padding-top: 2300px;
    }
    .bottom,.contact .backgroundimage{
      height: 1120px;
    }
    .contactcontent .girl{
      left: 25%;
    }
  }
  .editor-tag {
    cursor: text;
    font-size: 16px;
    padding: 10px 0px 10px 10px;
    border-radius: 5px;
    background: white;
    border: 1px #cccccc solid;
  
    & .tag-item {
      line-height: 20px;
      border-radius: 14px;
      height: 20px;
      font-size: 14px;
      display: inline-block;
      background: greenyellow;
      padding-left: 5px;
  
      .remove-tag {
        padding-right: 5px;
        cursor: pointer;
      }
    }
  
    & .tag-item:not(:first-child) {
      margin-left: 5px;
    }
  
    & input {
      margin: 0;
      padding-left: 5px;
      border: none;
      outline: none;
      border-radius: 5px;
    }
  }


  $primary: #11998e;
$secondary: #38ef7d;
$white: #fff;
$gray: #9b9b9b;
.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 50%;
}

.form__field {
  font-family: inherit;
  width: 100%;
  border: 0;
  border-bottom: 2px solid $gray;
  outline: 0;
  font-size: 1.3rem;
  color: $white;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;

  &::placeholder {
    color: transparent;
  }

  &:placeholder-shown ~ .form__label {
    font-size: 1.3rem;
    cursor: text;
    top: 20px;
  }
}

.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: $gray;
}

.form__field:focus {
  ~ .form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: $primary;
    font-weight:700;    
  }
  padding-bottom: 6px;  
  font-weight: 700;
  border-width: 3px;
  border-image: linear-gradient(to right, $primary,$secondary);
  border-image-slice: 1;
}
/* reset input */
.form__field{
  &:required,&:invalid { box-shadow:none; }
}
/* demo */
body {
  font-family: 'Poppins', sans-serif; 
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  font-size: 1.5rem;
  background-color:#222222;
}

.circle{
  text-align: center;
  z-index: 1;
  position: absolute;
  top: 30%;
  left: 40%;
  @include mobile-only{
    left: 20%;
    top: 40%;
  }
  }

